import type { NextAuthConfig } from "next-auth";
import Credentials from "next-auth/providers/credentials";

import { q58CallbackVerify } from "./lib/q58/verify";

// Notice this is only an object, not a full Auth.js instance
export default {
  providers: [
    Credentials({
      credentials: {
        sso: {},
        sig: {},
      },
      authorize: async (credentials) => {
        const sso = credentials.sso as string;
        const sig = credentials.sig as string;
        const user = await q58CallbackVerify(sso, sig);
        return user;
      },
    }),
  ],
} satisfies NextAuthConfig;
