"use client";

import { usePathname } from "next/navigation";

import { NavBar } from "./nav-bar";

export function DashboardHeader() {
  const pathname = usePathname();

  const getTitle = () => {
    if (pathname === "/dashboard") return "控制台";
    if (pathname === "/dashboard/clients") return "应用管理";
    if (pathname.includes("/dashboard/clients/")) return "应用详情";
    if (pathname === "/dashboard/settings") return "账号设置";
    if (pathname === "/admin/users") return "用户列表";
    if (pathname === "/admin/logs") return "系统日志";
    return "";
  };

  return (
    <div className="flex flex-col">
      <NavBar />
      <div className="border-b">
        <div className="mx-auto flex h-16 max-w-7xl items-center px-4 sm:px-6 lg:px-8">
          <h1 className="text-2xl font-bold">{getTitle()}</h1>
        </div>
      </div>
    </div>
  );
}
